var trackInteraction = {
    typeAccordeon: function (slide) {

        /*
                Custom Tracking des slides.
                   - l'appel de la méthode doit être placé dans la function slide(pLi) {}
                
                Client tag tracking.
                    - Si il existe un attribut event tracker sur les éléments de slides, event tracking va se déclencher.
            */

        var customTackerValue = slide.getAttribute("data-custom-value");
        var eventTrackerValue = slide.getAttribute("data-client-tag");

        if ( (customTackerValue != null) && (typeof customTackerValue != "undefined") ) {
            if (customTackerValue != "") {
                trackingBase.customTrack(customTackerValue);
            }
            else {
                //Aucun custom-value présent, déterminer le numéro de l'onglet pour tracker.
                var allSides = document.querySelectorAll('.lp-slide');
                var currentSlide;
                allSides.forEach( (element, index) => {
                    if(element.classList.contains('lp-open')){
                        currentSlide = index;
                    }
                });
                trackingBase.customTrack('onglet_' + (currentSlide + 1) );
            }
        }

        //**** Client Event Tracking if present ****//
        if ((typeof eventTrackerValue != "undefined") && (eventTrackerValue != null)) {
            trackingBase.callEventTracker(eventTrackerValue);
        }
    }
}